/*!
 *
 * Copyright 2024 Karlsruhe Institute of Technology.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */
import { h, Host } from "@stencil/core";
import { HSLColor } from "./HSLColor";
export class ColorHighlight {
    async componentWillLoad() {
        this.color = await HSLColor.generateColor(this.text);
    }
    render() {
        return (h(Host, { key: '50b6e91f4e98be29cfa37552eb799883aeb49c9e' }, h("span", { key: 'ddd3968827d1fb00684f7df0c9f8198271fd779e', style: {
                color: 'hsl(' + this.color.hue + ',' + this.color.sat + '%,' + this.color.lum + '%)',
            }, class: `m-0 p-0 inline-block align-baseline font-mono font-bold leading-none` }, this.text)));
    }
    static get is() { return "color-highlight"; }
    static get originalStyleUrls() {
        return {
            "$": ["color-highlight.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["color-highlight.css"]
        };
    }
    static get properties() {
        return {
            "text": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": true,
                "optional": false,
                "docs": {
                    "tags": [{
                            "name": "type",
                            "text": "{string}"
                        }],
                    "text": "The text to highlight."
                },
                "getter": false,
                "setter": false,
                "attribute": "text",
                "reflect": false
            }
        };
    }
    static get states() {
        return {
            "color": {}
        };
    }
}
//# sourceMappingURL=color-highlight.js.map
