/*!
 *
 * Copyright 2024 Karlsruhe Institute of Technology.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */
const meta = {
    title: 'copy-button',
    component: 'copy-button',
    argTypes: {
        value: {
            description: 'The text to copy (required)',
            control: {
                required: true,
                type: 'text',
            },
        },
    },
    args: {
        value: 'Hello world!',
    },
};
export default meta;
export const Default = {
    args: {
        value: 'Hello world!',
    },
    parameters: {
        docs: {
            source: {
                code: `
<copy-button value="Hello world!"></copy-button>
        `,
            },
        },
    },
};
//# sourceMappingURL=copy-button.stories.js.map
