/*!
 *
 * Copyright 2024 Karlsruhe Institute of Technology.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */
const meta = {
    title: 'locale-visualization',
    component: 'locale-visualization',
    argTypes: {
        locale: {
            description: 'The locale to visualize.',
            control: {
                required: true,
                type: 'text',
            },
        },
        showFlag: {
            description: 'Whether to show the flag of the region.',
            control: {
                required: false,
                type: 'boolean',
                default: true,
            },
        },
    },
    args: {
        locale: 'de-DE',
        showFlag: true,
    },
};
export default meta;
export const Default = {
    args: {
        locale: 'de-DE',
    },
    parameters: {
        docs: {
            source: {
                code: `
<locale-visualization locale="de-DE"></locale-visualization>
        `,
            },
        },
    },
};
export const WithoutFlag = {
    args: {
        locale: 'en-US',
        showFlag: false,
    },
    parameters: {
        docs: {
            source: {
                code: `
<locale-visualization locale="de-DE" show-flag="false"></locale-visualization>
        `,
            },
        },
    },
};
//# sourceMappingURL=locale-visualization.stories.js.map
