/*!
 *
 * Copyright 2024 Karlsruhe Institute of Technology.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */
import { h } from "@stencil/core";
import { GenericIdentifierType } from "../utils/GenericIdentifierType";
export class LocaleType extends GenericIdentifierType {
    getSettingsKey() {
        return 'LocaleType';
    }
    hasCorrectFormat() {
        const regex = /^([a-zA-Z]{2})(-[A-Z]{2})?$/;
        return regex.test(this.value);
    }
    init() {
        return;
    }
    isResolvable() {
        return false;
    }
    renderPreview() {
        return h("locale-visualization", { locale: this.value, showFlag: true });
    }
}
//# sourceMappingURL=LocaleType.js.map
