/*!
 *
 * Copyright 2024 Karlsruhe Institute of Technology.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */
import { DateType } from "../rendererModules/DateType";
import { ORCIDType } from "../rendererModules/ORCiD/ORCIDType";
import { HandleType } from "../rendererModules/Handle/HandleType";
import { EmailType } from "../rendererModules/EmailType";
import { URLType } from "../rendererModules/URLType";
import { FallbackType } from "../rendererModules/FallbackType";
import { LocaleType } from "../rendererModules/LocaleType";
export const renderers = [
    {
        priority: 0,
        key: 'DateType',
        constructor: DateType,
    },
    {
        priority: 1,
        key: 'ORCIDType',
        constructor: ORCIDType,
    },
    {
        priority: 2,
        key: 'HandleType',
        constructor: HandleType,
    },
    {
        priority: 3,
        key: 'EmailType',
        constructor: EmailType,
    },
    {
        priority: 4,
        key: 'URLType',
        constructor: URLType,
    },
    {
        priority: 5,
        key: 'LocaleType',
        constructor: LocaleType,
    },
    {
        priority: 5,
        key: 'FallbackType',
        constructor: FallbackType,
    },
];
export const typeMap = new Map();
export const handleMap = new Map();
export const unresolvables = new Set();
//# sourceMappingURL=utils.js.map
