import { PID } from './PID';
export declare class PIDDataType {
    private readonly _pid;
    private readonly _name;
    private readonly _description;
    private readonly _redirectURL;
    private readonly _regex?;
    constructor(pid: PID, name: string, description: string, redirectURL: string, regex?: RegExp);
    get pid(): PID;
    get name(): string;
    get description(): string;
    get redirectURL(): string;
    get regex(): RegExp;
    static resolveDataType(pid: PID): Promise<PIDDataType | undefined>;
    static fromJSON(serialized: string): PIDDataType;
    toObject(): {
        pid: string;
        name: string;
        description: string;
        redirectURL: string;
        regex: RegExp;
    };
}
