import { PIDDataType } from './PIDDataType';
import { PID } from './PID';
export declare class PIDRecord {
    private readonly _pid;
    private readonly _values;
    constructor(pid: PID);
    constructor(pid: PID, values: {
        index: number;
        type: string | PID | PIDDataType;
        data: {
            format: string;
            value: string;
        };
        ttl: number;
        timestamp: number;
    }[]);
    get pid(): PID;
    get values(): {
        index: number;
        type: string | PID | PIDDataType;
        data: {
            format: string;
            value: string;
        };
        ttl: number;
        timestamp: number;
    }[];
    static fromJSON(serialized: string): PIDRecord;
    toObject(): {
        pid: string;
        values: string[];
    };
}
