import { FunctionalComponent } from '../stencil-public-runtime';
import { FoldableItem } from './FoldableItem';
import { FoldableAction } from './FoldableAction';
export declare abstract class GenericIdentifierType {
    private readonly _value;
    constructor(value: string);
    private _settings;
    get settings(): {
        name: string;
        value: any;
    }[];
    set settings(value: {
        name: string;
        value: any;
    }[]);
    private _items;
    get items(): FoldableItem[];
    private _actions;
    get actions(): FoldableAction[];
    get value(): string;
    get data(): any;
    abstract init(data?: any): Promise<void>;
    abstract hasCorrectFormat(): boolean;
    abstract getSettingsKey(): string;
    abstract renderPreview(): FunctionalComponent<any>;
    renderBody(): FunctionalComponent<any> | undefined;
}
